Name:           lksctp-tools
Version:        1.0.19
Release:        3
Summary:        Linux Kernel Stream Control Transmission Protocol Tools

License:        GPLv2 and GPLv2+ and LGPLv2 and MIT
URL:            http://lksctp.sourceforge.net
Source0:        https://github.com/sctp/lksctp-tools/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make gcc libtool autoconf automake


%description
The lksctp-tools project provides a Linux user space library for SCTP (libsctp)
including C language header files (netinet/sctp.h) for accessing SCTP specific 
application programming interfaces not provided by the standard sockets, 
and also some helper utilities around SCTP.

For more information on the features and functions currently supported by 
lksctp, please refer to the documentation in the Linux kernel resp. in the 
lksctp-tools package. The lksctp-tools source contains a set of test programs
which would also serve as example applications.


%package devel  
Summary:    Development files for %{name}
Requires:   %{name} = %{version}-%{release}


%description devel
Development files for %{name} which include header files and dynamic 
libraries.


%package_help


%prep
%autosetup -n %{name}-%{version} -p1


%build
rm -rf configure && sh bootstrap
%configure --disable-static
%disable_rpath
%make_build


%install
%make_install
%delete_la


%pre
%preun
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files  
%defattr(-,root,root)
%license COPYING*
%{_bindir}/*
%{_libdir}/libsctp.so.*
%{_libdir}/lksctp-tools/libwithsctp.so.*


%files devel
%{_includedir}/*
%{_libdir}/libsctp.so
%{_libdir}/lksctp-tools/libwithsctp.so
%{_datadir}/lksctp-tools/
%{_libdir}/pkgconfig/libsctp.pc


%files help
%doc AUTHORS ChangeLog README doc/*.txt
%{_mandir}/man3/*
%{_mandir}/man7/*


%changelog
* Tue Nov 15 2022 yaoxin <yaoxin30@h-partners.com> - 1.0.19-3
- Modify invalid Source

* Wed Oct 26 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 1.0.19-2
- Rebuild for next release

* Tue Dec 07 2021 zhanzhimin <zhanzhimin@huawei.com> - 1.0.19-1
- update to 1.0.19

* Fri Oct 16 2020 wangye <wangye70@huawei.com> - 1.0.18-2
- update source URL

* Wed Jul 15 2020 hanhui <hanhui@huawei.com> - 1.0.18-1
- update to 1.0.18
  
* Thu Nov 28 2019 Qianbiao.NG <Qianbiao.NG@turnbig.net> - 1.0.16-11
- Repackage for openEuler OS
